package com.sv.mapper;
import com.sv.entity.GiftMemberCard;
import org.apache.ibatis.annotations.Param;


import java.util.List;

/**
 * Mapper - 送会员卡记录
 *
 * @author yechanglin
 * @since 2018-08-17
 */
public interface GiftMemberCardMapper {

    /**
     * 新建送会员卡记录
     *
     * @param giftMemberCard 送会员卡记录
     */
    void insert(GiftMemberCard giftMemberCard);

    /**
     * 更新送会员卡记录
     *
     * @param giftMemberCard 送会员卡记录
     */
    void update(GiftMemberCard giftMemberCard);

    /**
     * 删除送会员卡记录
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除送会员卡记录
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询送会员卡记录
     *
     * @param id 编号
     * @return 送会员卡记录
     */
    GiftMemberCard findById(Integer id);

    /**
     * 查询送会员卡记录
     *
     * @return 送会员卡记录集合
     */
    List<GiftMemberCard> findAll(@Param("name") String name);

    /**
     * 更新状态
     *
     * @param ids 编号
     * @param status 状态
     * @return 更新数量
     */
    int updateStatus(@Param("ids") Integer[] ids, @Param("status") Byte status);

}